From fcfe5f2ea5354d23aa202b6346a6f156738081e3 Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@unibe.ch>
Date: Mon, 3 Feb 2025 10:53:31 +0100
Subject: [PATCH] set permission 700 on backup target dir

---
 localdump.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/localdump.sh b/localdump.sh
index 62412b8..ca336a6 100755
--- a/localdump.sh
+++ b/localdump.sh
@@ -129,6 +129,10 @@
             color.echo "error" "FATAL ERROR: directory ${BACKUP_TARGETDIR} was not created"
             exit 1
         fi
+        if ! chmod 0700 "${BACKUP_TARGETDIR}"; then
+            color.echo "error" "FATAL ERROR: permissions could not be set for ${BACKUP_TARGETDIR}."
+            exit 1
+        fi
     }
 
 
-- 
GitLab